# Class InvalidRequestError

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents an invalid_request error.

    public class InvalidRequestError : Error

Inheritance
  object
  Error
  InvalidRequestError

Inherited Members
  Error.Type
  Error.Message
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### InvalidRequestError(string)

Initializes a new instance of the InvalidRequestError class.

    public InvalidRequestError(string message)

#### Parameters

`message` string

  The message of the error.